import request from '@/utils/request'

// 查询项目投产列表
export function listProduct(query) {
  return request({
    url: '/projectProduct/product/list',
    method: 'get',
    params: query
  })
}

// 查询项目投产详细
export function getProduct(id) {
  return request({
    url: '/projectProduct/product/' + id,
    method: 'get'
  })
}

// 新增项目投产
export function addProduct(data) {
  return request({
    url: '/projectProduct/product',
    method: 'post',
    data: data
  })
}

// 修改项目投产
export function updateProduct(data) {
  return request({
    url: '/projectProduct/product',
    method: 'put',
    data: data
  })
}

// 删除项目投产
export function delProduct(id) {
  return request({
    url: '/projectProduct/product/' + id,
    method: 'delete'
  })
}

// 导出项目投产
export function exportProduct(query) {
  return request({
    url: '/projectProduct/product/export',
    method: 'get',
    params: query
  })
}